Subject: Re: [PATCH] powerpc/math-emu: Fix building with clang

From: Segher Boessenkool <[email-masked]>
Date: Fri, 2 Nov 2018 12:34:44 -0500

On Fri, Nov 02, 2018 at 02:07:13PM +1030, Joel Stanley wrote:
>   arch/powerpc/math-emu/fnmsub.c:46:2: error: invalid use of a cast in a
>   inline asm context requiring an l-value: remove the cast or build with
>   -fheinous-gnu-extensions

(It is spelled lvalue).

*All* of extended asm is a GNU extension, what is clang trying to say here?
Confused :-)

Segher